### Constructor

# GimpUi ColorArea new

#### Declaration [src]

    GtkWidget*
    gimp_color_area_new (
      GeglColor* color,
      GimpColorAreaType type,
      GdkModifierType drag_mask
    )

#### Description [src]

Creates a new `GimpColorArea` widget.

This returns a preview area showing the color. It handles color DND. If the color changes, the “color_changed” signal is emitted.

#### Parameters

`color`

  Type: `GeglColor`

  A pointer to a `GeglColor`.

  The data is owned by the caller of the function.

`type`

  Type: `GimpColorAreaType`

  The type of color area to create.

`drag_mask`

  Type: `GdkModifierType`

  The event_mask that should trigger drags.

#### Return value

Type: `GtkWidget`

Pointer to the new `GimpColorArea` widget.

The data is owned by the called function.